<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="275453df-ab44-4a07-af95-8c2d450567c3" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/SSO$dummy_pki.coverage" NAME="dummy_pki Coverage Results" MODIFIED="1589572475022" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/SSO$SSO.coverage" NAME="SSO Coverage Results" MODIFIED="1589306215915" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="" />
    <SUITE FILE_PATH="coverage/SSO$server.coverage" NAME="server Coverage Results" MODIFIED="1589572773585" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/SSO$Flask__server_py_.coverage" NAME="Flask (server.py) Coverage Results" MODIFIED="1589306268852" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>role</find>
      <find>userToDTO</find>
      <find>U</find>
      <find>id</find>
      <find>-1</find>
      <find>user.roles</find>
      <find>user.role=</find>
      <find>import b</find>
      <find>get_sso</find>
      <find>get_user_by_use</find>
      <find>...</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/User.py" />
        <option value="$PROJECT_DIR$/dummy_pki.py" />
        <option value="$PROJECT_DIR$/db_service.py" />
        <option value="$PROJECT_DIR$/server.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-214" />
    <option name="y" value="-17" />
    <option name="width" value="1930" />
    <option name="height" value="1057" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="SSO" type="b2602c69:ProjectViewProjectNode" />
              <item name="SSO" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/dummy_pki.py" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Fakultet\semester8\BSEP\SSO" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.server">
    <configuration name="dummy_pki" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="SSO" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="C:\Fakultet\semester8\BSEP\venv\Scripts\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/dummy_pki.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="server" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="SSO" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="C:\Fakultet\semester8\BSEP\venv\Scripts\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/server.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="Flask (server.py)" type="Python.FlaskServer" factoryName="Flask server" temporary="true" nameIsGenerated="true">
      <module name="SSO" />
      <option name="target" value="$PROJECT_DIR$/server.py" />
      <option name="targetType" value="PATH" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="launchJavascriptDebuger" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="SSO" type="Python.FlaskServer" factoryName="Flask server">
      <module name="SSO" />
      <option name="target" value="$PROJECT_DIR$/server.py" />
      <option name="targetType" value="PATH" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="launchJavascriptDebuger" value="false" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.dummy_pki" />
      <item itemvalue="Python.server" />
      <item itemvalue="Flask server.Flask (server.py)" />
      <item itemvalue="Flask server.SSO" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Flask server.Flask (server.py)" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="275453df-ab44-4a07-af95-8c2d450567c3" name="Default Changelist" comment="" />
      <created>1589305925216</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1589305925216</updated>
      <workItem from="1589305934963" duration="4963000" />
      <workItem from="1589565742794" duration="7030000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="11993000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1066" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.25159913" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3290461" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39978564" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="11" />
      <window_info anchor="bottom" id="Python Console" order="12" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/db_service.py</url>
          <line>40</line>
          <option name="timeStamp" value="12" />
        </line-breakpoint>
      </breakpoints>
      <default-breakpoints>
        <breakpoint type="python-exception">
          <properties notifyOnTerminate="true" exception="BaseException">
            <option name="notifyOnTerminate" value="true" />
          </properties>
        </breakpoint>
      </default-breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="PythonConfigurationType">
        <watch expression="flask_jwt.current_identity" language="Python" />
        <watch expression="jsonify(users[1])" />
        <watch expression="users[1]" />
        <watch expression="__py_debug_temp_var_116535959.roles[0]" />
        <watch expression="request.headers.get('Authorization')" />
        <watch expression="decode_token('eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZGVudGl0eSI6IlVzZXIoaWQ9PGJ1aWx0LWluIGZ1bmN0aW9uIGlkPiwgdXNlcm5hbWU9c29uZSwgcm9sZT1yZWd1bGFyKSIsImlhdCI6MTU4OTMwODQ1MSwibmJmIjoxNTg5MzA4NDUxLCJ0eXBlIjoiYWNjZXNzIiwianRpIjoiZTNhYTIxNmUtN2IyZS00OWUxLWIyMjAtMWEzMmMxM2JkNzM1IiwiZnJlc2giOmZhbHNlLCJleHAiOjE1ODkzMDkzNTF9.ZlJj98tYnDyan9HhqliOJg_nRx4BcJ30Ton5MtXDJ7E')" language="Python" />
        <watch expression="UserDTO(users[1])" />
        <watch expression="jsonify(UserDTO(users[1]))" language="Python" />
        <watch expression="jsonify(users[1])" language="Python" />
        <watch expression="jsonify(id=users[1].id, username=users[1].username, roles=['shit'])" language="Python" />
        <watch expression="request.headers.get('Authorization')" />
        <watch expression="users[0]" />
        <watch expression="get_sso_identity(request.headers.get('Authorization')[7:])" />
        <watch expression="db_service.get_user_by_username('bone')" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>jsonify(users[1])</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>jsonify(users[0])</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>jsonify(id=users[1].id, username=users[1].username, roles=['shit'])</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>jsonify(UserDTO(users[1]))</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>decode_token('eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZGVudGl0eSI6IlVzZXIoaWQ9PGJ1aWx0LWluIGZ1bmN0aW9uIGlkPiwgdXNlcm5hbWU9c29uZSwgcm9sZT1yZWd1bGFyKSIsImlhdCI6MTU4OTMwODQ1MSwibmJmIjoxNTg5MzA4NDUxLCJ0eXBlIjoiYWNjZXNzIiwianRpIjoiZTNhYTIxNmUtN2IyZS00OWUxLWIyMjAtMWEzMmMxM2JkNzM1IiwiZnJlc2giOmZhbHNlLCJleHAiOjE1ODkzMDkzNTF9.ZlJj98tYnDyan9HhqliOJg_nRx4BcJ30Ton5MtXDJ7E')</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>decode_token('Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZGVudGl0eSI6IlVzZXIoaWQ9PGJ1aWx0LWluIGZ1bmN0aW9uIGlkPiwgdXNlcm5hbWU9c29uZSwgcm9sZT1yZWd1bGFyKSIsImlhdCI6MTU4OTMwODQ1MSwibmJmIjoxNTg5MzA4NDUxLCJ0eXBlIjoiYWNjZXNzIiwianRpIjoiZTNhYTIxNmUtN2IyZS00OWUxLWIyMjAtMWEzMmMxM2JkNzM1IiwiZnJlc2giOmZhbHNlLCJleHAiOjE1ODkzMDkzNTF9.ZlJj98tYnDyan9HhqliOJg_nRx4BcJ30Ton5MtXDJ7E')</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>decode_token()</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>flask_jwt.current_identity</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../venv/Lib/site-packages/flask_jwt_extended/view_decorators.py" />
    <entry file="file://$PROJECT_DIR$/../venv/Lib/site-packages/werkzeug/debug/__init__.py" />
    <entry file="file://$PROJECT_DIR$/../venv/Lib/site-packages/werkzeug/serving.py" />
    <entry file="file://$PROJECT_DIR$/../venv/Lib/site-packages/flask/app.py" />
    <entry file="file://$PROJECT_DIR$/../venv/Lib/site-packages/flask_rbac/__init__.py" />
    <entry file="file://$PROJECT_DIR$/../../venv/Lib/site-packages/flask_rbac/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="274">
          <caret line="363" selection-start-line="363" selection-end-line="363" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../venv/Lib/site-packages/werkzeug/debug/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="303" selection-start-line="303" selection-end-line="303" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Programs/Python/Python35/Lib/http/server.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="421" selection-start-line="421" selection-end-line="421" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../venv/Lib/site-packages/werkzeug/serving.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="344" selection-start-line="344" selection-end-line="344" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Programs/Python/Python35/Lib/socketserver.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="624" selection-start-line="624" selection-end-line="624" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Programs/Python/Python35/Lib/threading.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2736">
          <caret line="861" selection-start-line="861" selection-end-line="861" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/User.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="16">
          <caret line="1" column="8" selection-start-line="1" selection-start-column="8" selection-end-line="1" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../venv/Lib/site-packages/flask/app.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="1935" selection-start-line="1935" selection-end-line="1935" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dummy_pki.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/server.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="515">
          <caret line="55" column="30" selection-start-line="55" selection-start-column="30" selection-end-line="55" selection-end-column="30" />
          <folding>
            <element signature="e#0#13#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/db_service.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="416">
          <caret line="35" column="16" selection-start-line="35" selection-start-column="16" selection-end-line="35" selection-end-column="16" />
          <folding>
            <element signature="e#0#15#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>